Page MenuHomePhabricator

[UpdateTestChecks] Sync flags in update_mir_test_checks.py with MIFlags
ClosedPublic

Authored by asi-sc on Oct 18 2022, 6:44 AM.

Details

Summary

Some instructions are not matched by update_mir_test_checks.py because MIFlags and
regex in the script are not synchronized.

Diff Detail

Event Timeline

asi-sc created this revision.Oct 18 2022, 6:44 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 18 2022, 6:44 AM
Herald added a subscriber: luismarques. · View Herald Transcript
asi-sc requested review of this revision.Oct 18 2022, 6:44 AM
Herald added a project: Restricted Project. · View Herald TranscriptOct 18 2022, 6:44 AM

This should be covered itself by new test in test/tools/UpdateTestChecks/update_mir_test_checks/.

asi-sc updated this revision to Diff 469209.Oct 20 2022, 6:32 AM

Add tests

I added a test to check nofpexcept flag. I didn't find a way to add a test for nomerge flag as for now we do not have instructions that may have this flag and return a result simultaneously. @zequanwu may correct me.

bogner accepted this revision.Oct 25 2022, 11:05 AM
This revision is now accepted and ready to land.Oct 25 2022, 11:05 AM
asi-sc updated this revision to Diff 470794.Oct 26 2022, 5:54 AM

Rebase after precommit test is merged.